<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.ApiLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="apiLogResultMap" type="org.springblade.modules.app.entity.ApiLog">
        <id column="id" property="id"/>
        <result column="url" property="url"/>
        <result column="req_data" property="reqData"/>
        <result column="res_data" property="resData"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectApiLogPage" resultMap="apiLogResultMap">
        select * from tb_api_log where is_deleted = 0
    </select>

</mapper>
